/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozcc
 *
 * The Initial Developer of the Original Code is
 * Nathan R. Yergler.
 * Portions created by the Initial Developer are Copyright (C) 2003-2004
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): 	
 * Nathan R. Yergler <nathan@yergler.net>
 *
 * ***** END LICENSE BLOCK ***** 
 *
 * $Id: install.js,v 1.9 2004/07/08 21:03:28 nathan Exp $
 *
 */

const APP_DISPLAY_NAME = "mozcc";
const APP_NAME = "mozcc";
const APP_PACKAGE = "/Nathan Yergler/" + APP_NAME;
const APP_VERSION = "0.8.1";

const APP_JAR_FILE = APP_NAME + ".jar";
const APP_XPI_JAR_FILE = "chrome/" + APP_JAR_FILE;
const APP_CONTENT_FOLDER = "content/" + APP_NAME + "/";
const APP_LOCALE_FOLDER  = "locale/en-US/" + APP_NAME + "/";
const APP_SKIN_FOLDER    = "skin/" + APP_NAME + "/";
const APP_PREFS_FILE     = "defaults/preferences/" + APP_NAME + "_prefs.js"

var chromef;
var contenttype;
var skintype;

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

chromef = getFolder("Profile", "chrome");
contenttype = CONTENT | PROFILE_CHROME;
localetype  = LOCALE | PROFILE_CHROME;
skintype = SKIN  | PROFILE_CHROME;

// *** only if we were doing preferences ***
var prefFolder = getFolder('Preferences');
addFile(APP_NAME, APP_PREFS_FILE, prefFolder, '');

var err = addFile(APP_PACKAGE, APP_VERSION, APP_XPI_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	registerChrome(localetype,  jar, APP_LOCALE_FOLDER);
	registerChrome(skintype,    jar, APP_SKIN_FOLDER);

	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + 
                      " has been succesfully installed.");
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't permission to write to "
                +"the chrome directory (" + chromef + ").\n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}


